Bug 173099 - unable to start apps when m17n-db is missing
Summary: unable to start apps when m17n-db is missing
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: scim-m17n   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks: SCIM 173097
TreeView+ depends on / blocked
 
Reported: 2005-11-14 04:47 UTC by Lawrence Lim
Modified: 2014-03-26 00:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-20 07:16:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lawrence Lim 2005-11-14 04:47:51 UTC
Description of problem:
Creating as a separate bug for tracking purpose. 

As a result of Bug 173097, it cause all apps to crash and unable to load.

Version-Release number of selected component (if applicable):
m17n-db-1.2.0-2.noarch.rpm
scim-m17n-debuginfo-0.1.4-2.fc4
scim-m17n-0.1.4-2.fc4

How reproducible:
Always

Steps to Reproduce:
1.install scim-m17n with m17n-db
2.log in with ja locale 
3.start gedit
  
Actual results:
nothing starts

Expected results:
starts properly


Additional info:
(gdb) r
Starting program: /usr/bin/scim
Reading symbols from shared object read from target memory...done.
Loaded system supplied DSO at 0xc37000
Smart Common Input Method 1.4.2

Launching a SCIM daemon with Socket FrontEnd...
Detaching after fork from child process 3869.
Loading simple Config module ...
Creating backend ...

Launching a SCIM process with x11...
Detaching after fork from child process 3871.
Loading simple Config module ...
Creating backend ...
SCIM has exited abnormally.

Program exited with code 01.
(gdb)



open("/usr/lib/libm17n-core.so.0", O_RDONLY) = 19
read(19, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\340/\0"..., 512) = 512
fstat64(19, {st_mode=S_IFREG|0755, st_size=84004, ...}) = 0
mmap2(NULL, 116544, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 19, 0) = 0x6
648000
mmap2(0x665c000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE
, 19, 0x14) = 0x665c000
mmap2(0x665d000, 30528, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOU
S, -1, 0) = 0x665d000
close(19)                               = 0
munmap(0xb329d000, 100485)              = 0
stat64("/usr/share/m17n", 0xbfaa0cac)   = -1 ENOENT (No such file or directory)
brk(0x8d31000)                          = 0x8d31000
--- SIGSEGV (Segmentation fault) @ 0 (0) ---

Comment 1 Jens Petersen 2005-11-14 11:30:28 UTC
Step 1 and the summary seems to conflict.

You mean install scim-m17n without m17n-db?

Comment 2 Lawrence Lim 2005-11-14 23:57:08 UTC
Re: Comment #1

My bad. I was meant to say without m17n-db. :)



Comment 3 Jens Petersen 2005-11-15 02:29:06 UTC
I guess scim-m17n assumes m17n-db is installed.

So this bug is to say that it should behave better if it isn't installed?

Comment 4 Lawrence Lim 2005-11-15 02:33:10 UTC
Re: Comment #3

I guess so. Unable to start anything on the desktop is definitely very naughty. :-)

Comment 5 Jens Petersen 2005-12-20 07:15:05 UTC
m17n-lib requires m17n-db so this should not happen any more.



Note You need to log in before you can comment on or make changes to this bug.